## tastymenu-trinity 14.0.9

=== debian/changelog ===
tastymenu-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 16 Oct 2020 16:21:54 +0200

tastymenu-trinity (1.0.8-0debian7.0.0+0) wheezy; urgency=low

  * Initial Release for TDE

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 10 Apr 2016 03:32:32 +0200

tastymenu (1.0.7) unstable; urgency=low

   *Fixed a typo in the config dialog

 -- Marco Martin <notmart@gmail.com>  Wed, 6 Feb 2008 12:53:00 +0100

tastymenu (1.0.6) unstable; urgency=low

   *Now all the applications should be displayed again
   *Brazillian portoguese translation by Ewerton de A. Dutra

 -- Marco Martin <notmart@gmail.com>  Thu, 13 Dec 2007 17:30:00 +0100

tastymenu (1.0.5) unstable; urgency=low

   *fixed the about box
   *some fixes in packaging
   *now it's installed in the right directory (for example in /usr/lib/kde3 instead of /usr/lib)

 -- Marco Martin <notmart@gmail.com>  Thu, 22 Nov 2007 15:40:00 +0100

tastymenu (1.0.4) unstable; urgency=low

  *updated French translation
  *updated Slovenian translation
  *fixed a crash on lright mouse button click on search field
  *the old memory leak should be somewhat mitigated

 -- Marco Martin <notmart@gmail.com>  Sat, 17 Nov 2007 13:30:00 +0100

tastymenu (1.0.3) unstable; urgency=low

  * Fixed a bug that occurred when clicking on the search result if the menu mode was "recent/most used applications"
  * Polish translation by Tomasz Argasiński
  * Some fixes in the Slovenian translation
  * description text shouldn't become too little

 -- Marco Martin <notmart@gmail.com>  Wed, 24 Oct 2007 14:00:00 +0100

tastymenu (1.0.2) unstable; urgency=low

  * Slovenian translation by Matija Šuklje
  * Fixed a little build problem

 -- Marco Martin <notmart@gmail.com>  Wed, 17 Oct 2007 21:00:00 +0100

tastymenu (1.0.1) unstable; urgency=low

  * Menu and tooltip no longer steals mouse and keyboard input
  * Better management of the tooltip
  * No separators when the list is in alphabetical order
  * Finnish translations by Tommi Nieminen

 -- Marco Martin <notmart@gmail.com>  Thu, 11 Oct 2007 17:25:00 +0100

tastymenu (1.0) unstable; urgency=low

  * Not having particular problems, released it as 1.0
  * French translation by Laurent Hilsz

 -- Marco Martin <notmart@gmail.com>  Wed, 19 Sep 2007 15:16:00 +0100

tastymenu (1.0rc2) unstable; urgency=low

  * Rearranging the items of the left column by drag and drop works again
  * The layout should be a little bit more polished
  * Updated Ukrainian translation

 -- Marco Martin <notmart@gmail.com>  Sun, 09 Sep 2007 17:04:00 +0100

tastymenu (1.0rc1) unstable; urgency=low

  * Search field should be a lot faster
  * Only strings with at least three characters are being searched (necessary for the speedup)
  * Corrected a bug that prevented to search into application descriptions

 -- Marco Martin <notmart@gmail.com>  Wed, 22 Aug 2007 12:40:00 +0100

tastymenu (0.9.1) unstable; urgency=low

  * Ukrainian translation by Motsyo Vitaliy

 -- Marco Martin <notmart@gmail.com>  Tue, 21 Aug 2007 19:58:00 +0100

tastymenu (0.9) unstable; urgency=low

  * Add to desktop option in menuitems
  * Drag and drop from menu to desktop
  * Option to set different icons sizes in the three columns
  * the button text label should always be of a visible color
  * most used/recently used applications list updates in realtime
  * clear most used/recently used applications list
  * updated russian and german translations

 -- Marco Martin <notmart@gmail.com>  Sat, 04 Aug 2007 14:00:00 +0100

tastymenu (0.8.2) unstable; urgency=low

  * First Debian Release

 -- Marco Martin <notmart@gmail.com>  Sun, 20 May 2007 18:35:00 +0100

## tastymenu-trinity 14.1.1

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 3.1 )


#### general package setup

project( tastymenu )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### set version number ########################

tde_set_project_version( )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## tastymenu-trinity 14.0.10

=== debian/changelog ===
tastymenu-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
Source: tastymenu-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
X-Original-Maintainer: Marco Martin <notmart@gmail.com>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs-trinity-dev, libxau-dev
Standards-Version: 3.8.0

Package: tastymenu-trinity
Architecture: any
Depends: ${shlibs:Depends}
Description: Replacement for TMenu
 Tasty Menu is a TMenu replacement aiming to provide the maximum usability and flexibility.

## tastymenu-trinity 14.0.11

=== debian/changelog ===
tastymenu-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tastymenu

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 00:14:33 +0200

## tastymenu-trinity 14.0.12

=== debian/changelog ===
tastymenu-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tastymenu

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 10:28:44 +0100

## tastymenu-trinity 14.0.13

=== debian/changelog ===
tastymenu-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tastymenu

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 01 Oct 2022 14:10:54 +0200

## tastymenu-trinity 14.1.0

=== debian/changelog ===
tastymenu-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tastymenu

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## tastymenu-trinity 14.1.1

=== debian/changelog ===
tastymenu-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tastymenu

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 25 Jul 2023 06:15:33 +0200

## tastymenu-trinity 14.1.2

=== debian/changelog ===
tastymenu-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tastymenu

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 19 Apr 2024 01:24:50 +0200

## tastymenu-trinity 14.1.3

=== debian/changelog ===
tastymenu-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tastymenu

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 02 Oct 2024 23:11:06 +0200

## tastymenu-trinity 14.1.4

=== debian/changelog ===
tastymenu-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tastymenu

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## tastymenu-trinity 14.1.5~pre0

=== debian/changelog ===
tastymenu-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 227ea38308caf6e7688f9de2de6aec9f283e1a24
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tastymenu

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tastymenu-trinity 14.1.5

=== debian/changelog ===
tastymenu-trinity (4:14.1.5-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tastymenu

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 X-Original-Maintainer: Marco Martin <notmart@gmail.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs-trinity-dev, libxau-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev, libxau-dev
 Standards-Version: 3.8.0
 
 Package: tastymenu-trinity

## tastymenu-trinity 14.1.6~pre0

=== debian/changelog ===
tastymenu-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 227ea38308caf6e7688f9de2de6aec9f283e1a24
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tastymenu

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tastymenu-trinity 14.1.6~pre1

=== debian/changelog ===
tastymenu-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b261a397bdc213987e6eb5146be9e52f2bfbf1f1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tastymenu

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:06:30 +0100

## tastymenu-trinity 14.2.0~pre30

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### buttons.h (header)

file( GLOB _pics ${CMAKE_CURRENT_SOURCE_DIR}/pics/*.png )

set( _header buttons.h )

add_custom_command(
    OUTPUT  ${_header}  
    COMMAND ${TQUIC_EXECUTABLE}
    ARGS -o ${_header} -embed buttons ${_pics} 
    DEPENDS ${_pics}
)


##### tastymenu_panelapplet (kpart)

set_source_files_properties(
    menuhandler.cpp
    PROPERTIES OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${_header}
)

tde_add_kpart( tastymenu_panelapplet AUTOMOC

  SOURCES
        appearance.ui
        behaviour.ui
        menu.ui
        tastytooltipwidget.ui
        tastymenu.cpp
        menuhandler.cpp
        dmctl.cpp
        tastylistview.cpp
        misc.cpp
        tastytooltip.cpp
        tastybutton.cpp
        prefs.kcfgc
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     ${LIBXAU_LIBRARIES}

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE tastymenu.desktop
    DESTINATION ${DATA_INSTALL_DIR}/kicker/applets
)

install(
    FILES tastymenu.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)

=== debian/changelog ===
tastymenu-trinity (4:14.2.0~pre30-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 5663695e7595e3a0a4c56b870c05acb440c20368
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tastymenu

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## tastymenu-trinity 14.2.0~pre31

=== debian/changelog ===
tastymenu-trinity (4:14.2.0~pre31-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 7f678a99b555128bdb5b7e830612ef46480ac9bc
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tastymenu

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:08:03 +0100
